/// <reference types="@/src/vite-env" />
export type VuexState = VuexRootState & {
    demo: VuexDemoState;
};
export interface VuexRootState {
    count: number;
}
export interface VuexDemoState {
    name: string;
}
export declare const INCREMENT = "increment";
export declare const DECREMENT = "decrement";
export declare const INCREMENTACTION = "incrementAction";
export declare function useVuex(): {
    store: import("vuex").Store<VuexState>;
};
export declare function useVuexStates(keyMaps: Record<string, string> | string[]): Record<string, any>;
export declare function useVuexStates(moduleName: string, keyMaps: Record<string, string> | string[]): Record<string, any>;
export declare function useVuexGetters(keyMaps: Record<string, string> | string[]): Record<string, any>;
export declare function useVuexGetters(moduleName: string, keyMaps: Record<string, string> | string[]): Record<string, any>;
export declare function useVuexMutations(keyMaps: Record<string, string> | string[]): Record<string, any>;
export declare function useVuexMutations(moduleName: string, keyMaps: Record<string, string> | string[]): Record<string, any>;
export declare function useVuexActions(keyMaps: Record<string, string> | string[]): Record<string, any>;
export declare function useVuexActions(moduleName: string, keyMaps: Record<string, string> | string[]): Record<string, any>;
